Bug 967439 - Got "we appear to be having technical difficulties" when add jenkins-client-1.4 to an app without a jenkins server app
Got "we appear to be having technical difficulties" when add jenkins-client-1...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Jordan Liggitt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 03:15 EDT by weiwei jiang
Modified: 2016-10-30 18:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:11:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log details file (52.25 KB, text/plain)
2013-05-27 03:15 EDT, weiwei jiang
no flags Details
screen shot of the error message in the console (35.80 KB, image/png)
2013-05-29 11:17 EDT, Xiaoli Tian
no flags Details

  None (edit)
Description weiwei jiang 2013-05-27 03:15:59 EDT
Created attachment 753498 [details]
log details file

Description of problem:
Got "we appear to be having technical difficulties" when add jenkins-client-1.4 to a app without a jenkins server app

Version-Release number of selected component (if applicable):
devenv_3277

How reproducible:
always

Steps to Reproduce:
1.Create a app 
2.Add jenkins-client-1.4 cartridge to app without a jenkins server app
3.

Actual results:
Add failed and /var/log/openshift/broker/development.log details see attachment.



Expected results:
Add successfully

Additional info:
"Enable jenkins builds" works as normal
Comment 1 Dan McPherson 2013-05-29 02:02:28 EDT
I just tried to recreate this and wasn't able to.  Can you confirm this is still an issue.  If you can recreate please provide the logs again.
Comment 2 weiwei jiang 2013-05-29 02:14:11 EDT
I tried on devenv_3281 and failed , please filter the log with "ERROR" and will find something useful



2013-05-29 02:11:03.722 [INFO ] Started GET "/broker/rest/domains/wjiang527/applications/djpy6.json" for 127.0.0.1 at 2013-05-29 02:11:03 -0400 (pid:28775)
2013-05-29 02:11:03.725 [INFO ] Processing by ApplicationsController#show as JSON (pid:28775)
2013-05-29 02:11:03.726 [INFO ] Parameters: {"domain_id"=>"wjiang527", "id"=>"djpy6"} (pid:28775)
2013-05-29 02:11:03.725 [INFO ] Processing by ApplicationsController#show as JSON (pid:28775)
2013-05-29 02:11:03.726 [INFO ] Parameters: {"domain_id"=>"wjiang527", "id"=>"djpy6"} (pid:28775)
2013-05-29 02:11:03.732 [DEBUG] MOPED: 127.0.0.1:27017 QUERY        database=openshift_broker_dev collection=authorizations selector={"$query"=>{"token"=>"656c138e612e10aedbc9caca2937cd8e868012b82cb1b5f6ef8f79661306c1f3"}, "$orderby"=>{:_id=>1}} flags=[] limit=-1 skip=0 batch_size=nil fields=nil (2.9025ms) (pid:28775)
2013-05-29 02:11:03.734 [DEBUG] MOPED: 127.0.0.1:27017 QUERY        database=openshift_broker_dev collection=cloud_users selector={"$query"=>{"_id"=>"51a5920d08f017c1ed000004"}, "$orderby"=>{:_id=>1}} flags=[] limit=-1 skip=0 batch_size=nil fields=nil (0.3777ms) (pid:28775)
2013-05-29 02:11:03.735 [DEBUG] SUCCESS ACTION=AUTHENTICATE USER_ID=51a5920d08f017c1ed000004 LOGIN=wjiang+527@redhat.com IP=127.0.0.1 SCOPES=session Authenticated (pid:28775)
2013-05-29 02:11:03.740 [DEBUG] MOPED: 127.0.0.1:27017 QUERY        database=openshift_broker_dev collection=domains selector={"$query"=>{"owner_id"=>"51a5920d08f017c1ed000004", "canonical_namespace"=>"wjiang527"}, "$orderby"=>{:_id=>1}} flags=[] limit=-1 skip=0 batch_size=nil fields=nil (3.7882ms) (pid:28775)
2013-05-29 02:11:03.742 [DEBUG] MOPED: 127.0.0.1:27017 QUERY        database=openshift_broker_dev collection=applications selector={"$query"=>{"domain_id"=>"51a5929f08f0179070000001", "canonical_name"=>"djpy6"}, "$orderby"=>{:_id=>1}} flags=[] limit=-1 skip=0 batch_size=nil fields=nil (0.6647ms) (pid:28775)
2013-05-29 02:11:03.748 [DEBUG] SUCCESS ACTION=SHOW_APPLICATION USER_ID=51a5920d08f017c1ed000004 LOGIN=wjiang+527@redhat.com APP=djpy6 DOMAIN=wjiang527 APP_UUID=903212317044201001844736 Application 'djpy6' found (pid:28775)
2013-05-29 02:11:03.753 [INFO ] Completed 200 OK in 27ms (Views: 0.9ms) (pid:28775)
2013-05-29 02:11:03.758 [INFO ] Started GET "/broker/rest/cartridges.json" for 127.0.0.1 at 2013-05-29 02:11:03 -0400 (pid:28775)
2013-05-29 02:11:03.760 [INFO ] Processing by CartridgesController#index as JSON (pid:28775)
2013-05-29 02:11:03.774 [DEBUG] SUCCESS ACTION=LIST_CARTRIDGE USER_ID= LOGIN= List all cartridges (pid:28775)
2013-05-29 02:11:03.794 [INFO ] Completed 200 OK in 31ms (Views: 17.6ms) (pid:28775)
2013-05-29 02:11:03.821 [INFO ] Started POST "/broker/rest/domains/wjiang527/applications/djpy6/cartridges.json" for 127.0.0.1 at 2013-05-29 02:11:03 -0400 (pid:28775)
2013-05-29 02:11:03.823 [INFO ] Processing by EmbCartController#create as JSON (pid:28775)
2013-05-29 02:11:03.823 [INFO ] Parameters: {"name"=>"jenkins-client-1.4", "url"=>nil, "domain_id"=>"wjiang527", "application_id"=>"djpy6", "emb_cart"=>{"name"=>"jenkins-client-1.4", "url"=>nil}} (pid:28775)
2013-05-29 02:11:03.964 [DEBUG] MOPED: 127.0.0.1:27017 QUERY        database=openshift_broker_dev collection=authorizations selector={"$query"=>{"token"=>"656c138e612e10aedbc9caca2937cd8e868012b82cb1b5f6ef8f79661306c1f3"}, "$orderby"=>{:_id=>1}} flags=[] limit=-1 skip=0 batch_size=nil fields=nil (0.8547ms) (pid:28775)
2013-05-29 02:11:03.966 [DEBUG] MOPED: 127.0.0.1:27017 QUERY        database=openshift_broker_dev collection=cloud_users selector={"$query"=>{"_id"=>"51a5920d08f017c1ed000004"}, "$orderby"=>{:_id=>1}} flags=[] limit=-1 skip=0 batch_size=nil fields=nil (0.3214ms) (pid:28775)
2013-05-29 02:11:03.967 [DEBUG] SUCCESS ACTION=AUTHENTICATE USER_ID=51a5920d08f017c1ed000004 LOGIN=wjiang+527@redhat.com IP=127.0.0.1 SCOPES=session Authenticated (pid:28775)
2013-05-29 02:11:03.968 [DEBUG] MOPED: 127.0.0.1:27017 QUERY        database=openshift_broker_dev collection=domains selector={"$query"=>{"owner_id"=>"51a5920d08f017c1ed000004", "canonical_namespace"=>"wjiang527"}, "$orderby"=>{:_id=>1}} flags=[] limit=-1 skip=0 batch_size=nil fields=nil (0.3939ms) (pid:28775)
2013-05-29 02:11:03.969 [DEBUG] MOPED: 127.0.0.1:27017 QUERY        database=openshift_broker_dev collection=applications selector={"$query"=>{"domain_id"=>"51a5929f08f0179070000001", "canonical_name"=>"djpy6"}, "$orderby"=>{:_id=>1}} flags=[] limit=-1 skip=0 batch_size=nil fields=nil (0.4508ms) (pid:28775)
2013-05-29 02:11:03.972 [DEBUG] MOPED: 127.0.0.1:27017 QUERY        database=openshift_broker_dev collection=domains selector={"$query"=>{"_id"=>"51a5929f08f0179070000001"}, "$orderby"=>{:_id=>1}} flags=[] limit=-1 skip=0 batch_size=nil fields=nil (0.2887ms) (pid:28775)
2013-05-29 02:11:03.974 [DEBUG] MOPED: 127.0.0.1:27017 COMMAND      database=openshift_broker_dev command={:findAndModify=>"locks", :query=>{"user_id"=>"51a5920d08f017c1ed000004", "$or"=>[{"app_ids.51a597c208f017e1cc000002"=>{"$exists"=>false}}, {"app_ids.51a597c208f017e1cc000002"=>{"$lt"=>1369807863}}]}, :new=>true, :update=>{"$set"=>{"app_ids.51a597c208f017e1cc000002"=>1369808463}}} (0.6514ms) (pid:28775)
2013-05-29 02:11:03.976 [DEBUG] MOPED: 127.0.0.1:27017 UPDATE       database=openshift_broker_dev collection=applications selector={"_id"=>"51a597c208f017e1cc000002"} update={"$push"=>{"pending_op_groups"=>{"_id"=>"51a59bf708f0172ac90000a7", "num_gears_added"=>0, "num_gears_removed"=>0, "num_gears_created"=>0, "num_gears_destroyed"=>0, "num_gears_rolled_back"=>0, "user_agent"=>nil, "op_type"=>:add_features, "args"=>{"features"=>["jenkins-client-1.4"], "group_overrides"=>[], "init_git_url"=>nil}, "parent_op_id"=>nil, "updated_at"=>2013-05-29 06:11:03 UTC, "created_at"=>2013-05-29 06:11:03 UTC}}} flags=[] (pid:28775)
2013-05-29 02:11:03.976 [DEBUG] COMMAND      database=openshift_broker_dev command={:getlasterror=>1, :safe=>true} (0.4952ms) (pid:28775)
2013-05-29 02:11:03.977 [DEBUG] MOPED: 127.0.0.1:27017 QUERY        database=openshift_broker_dev collection=applications selector={:_id=>"51a597c208f017e1cc000002"} flags=[] limit=-1 skip=0 batch_size=nil fields=nil (0.4091ms) (pid:28775)
2013-05-29 02:11:03.989 [DEBUG] MOPED: 127.0.0.1:27017 QUERY        database=openshift_broker_dev collection=domains selector={"$query"=>{"_id"=>"51a5929f08f0179070000001"}, "$orderby"=>{:_id=>1}} flags=[] limit=-1 skip=0 batch_size=nil fields=nil (0.3500ms) (pid:28775)
2013-05-29 02:11:03.990 [DEBUG] MOPED: 127.0.0.1:27017 QUERY        database=openshift_broker_dev collection=cloud_users selector={"$query"=>{"_id"=>"51a5920d08f017c1ed000004"}, "$orderby"=>{:_id=>1}} flags=[] limit=-1 skip=0 batch_size=nil fields=nil (0.2673ms) (pid:28775)
2013-05-29 02:11:03.991 [DEBUG] MOPED: 127.0.0.1:27017 QUERY        database=openshift_broker_dev collection=locks selector={"$query"=>{"user_id"=>"51a5920d08f017c1ed000004"}, "$orderby"=>{:_id=>1}} flags=[] limit=-1 skip=0 batch_size=nil fields=nil (0.3386ms) (pid:28775)
2013-05-29 02:11:03.992 [DEBUG] MOPED: 127.0.0.1:27017 COMMAND      database=openshift_broker_dev command={:findAndModify=>"locks", :query=>{"user_id"=>"51a5920d08f017c1ed000004", "$or"=>[{"locked"=>false}, {"#<Origin::Key:0x000000057e1080>"=>1369807863}], "app_ids.51a597c208f017e1cc000002"=>{"$exists"=>true}}, :new=>true, :update=>{"$set"=>{:locked=>true, :timeout=>1369808463}}} (0.4158ms) (pid:28775)
2013-05-29 02:11:03.992 [DEBUG] MOPED: 127.0.0.1:27017 QUERY        database=openshift_broker_dev collection=cloud_users selector={:_id=>"51a5920d08f017c1ed000004"} flags=[] limit=-1 skip=0 batch_size=nil fields=nil (0.2878ms) (pid:28775)
2013-05-29 02:11:03.999 [DEBUG] MOPED: 127.0.0.1:27017 UPDATE       database=openshift_broker_dev collection=applications selector={"_id"=>"51a597c208f017e1cc000002"} update={"$pushAll"=>{"pending_op_groups.0.pending_ops"=>[{"_id"=>"51a59bf708f0172ac90000ab", "state"=>:init, "retry_count"=>0, "saved_values"=>{"group_overrides"=>[{"components"=>[{"comp"=>"python-2.6", "cart"=>"python-2.6"}], "min_gears"=>1, "max_gears"=>1}]}, "op_type"=>:set_group_overrides, "args"=>{"group_overrides"=>[{"components"=>[{"comp"=>"python-2.6", "cart"=>"python-2.6"}, {"comp"=>"jenkins-client-1.4", "cart"=>"jenkins-client-1.4"}], "min_gears"=>1, "max_gears"=>1}]}}, {"_id"=>"51a59bf708f0172ac90000a8", "state"=>:init, "retry_count"=>0, "saved_values"=>[], "op_type"=>:new_component, "args"=>{"group_instance_id"=>"51a597c208f017e1cc000011", "comp_spec"=>{"comp"=>"jenkins-client-1.4", "cart"=>"jenkins-client-1.4"}, "cartridge_vendor"=>"redhat", "version"=>"1.4"}, "prereq"=>[nil]}, {"_id"=>"51a59bf708f0172ac90000a9", "state"=>:init, "retry_count"=>0, "saved_values"=>[], "op_type"=>:add_component, "args"=>{"group_instance_id"=>"51a597c208f017e1cc000011", "gear_id"=>"51a597c208f017e1cc000002", "comp_spec"=>{"comp"=>"jenkins-client-1.4", "cart"=>"jenkins-client-1.4"}, "init_git_url"=>nil}, "prereq"=>["51a59bf708f0172ac90000a8", []]}, {"_id"=>"51a59bf708f0172ac90000aa", "state"=>:init, "retry_count"=>0, "saved_values"=>[], "op_type"=>:post_configure_component, "args"=>{"group_instance_id"=>"51a597c208f017e1cc000011", "gear_id"=>"51a597c208f017e1cc000002", "comp_spec"=>{"comp"=>"jenkins-client-1.4", "cart"=>"jenkins-client-1.4"}, "init_git_url"=>nil}, "prereq"=>["51a59bf708f0172ac90000a9", []]}, {"_id"=>"51a59bf708f0172ac90000ac", "state"=>:init, "retry_count"=>0, "saved_values"=>[], "op_type"=>:execute_connections, "prereq"=>["51a59bf708f0172ac90000ab", "51a59bf708f0172ac90000a8", "51a59bf708f0172ac90000a9", "51a59bf708f0172ac90000aa"]}]}} flags=[] (pid:28775)
2013-05-29 02:11:03.999 [DEBUG] COMMAND      database=openshift_broker_dev command={:getlasterror=>1, :safe=>true} (3.7429ms) (pid:28775)
2013-05-29 02:11:04.723 [DEBUG] MOPED: 127.0.0.1:27017 COMMAND      database=openshift_broker_dev command={:findAndModify=>"locks", :query=>{"user_id"=>"51a5920d08f017c1ed000004", "locked"=>true, "app_ids.51a597c208f017e1cc000002"=>{"$exists"=>true}}, :new=>true, :update=>{"$set"=>{"locked"=>false}}} (0.5255ms) (pid:28775)
2013-05-29 02:11:04.120 [DEBUG] MOPED: 127.0.0.1:27017 QUERY        database=openshift_broker_dev collection=applications selector={"$query"=>{"_id"=>"51a597c208f017e1cc000002"}, "$orderby"=>{:_id=>1}} flags=[] limit=-1 skip=0 batch_size=nil fields=nil (3.9942ms) (pid:28775)
2013-05-29 02:11:04.199 [DEBUG] MOPED: 127.0.0.1:27017 UPDATE       database=openshift_broker_dev collection=applications selector={"_id"=>"51a597c208f017e1cc000002"} update={"$set"=>{"pending_op_groups.0.pending_ops"=>[{"_id"=>"51a59bf708f0172ac90000ab", "state"=>:init, "retry_count"=>0, "saved_values"=>{"group_overrides"=>[{"components"=>[{"comp"=>"python-2.6", "cart"=>"python-2.6"}], "min_gears"=>1, "max_gears"=>1}]}, "op_type"=>:set_group_overrides, "args"=>{"group_overrides"=>[{"components"=>[{"comp"=>"python-2.6", "cart"=>"python-2.6"}, {"comp"=>"jenkins-client-1.4", "cart"=>"jenkins-client-1.4"}], "min_gears"=>1, "max_gears"=>1}]}}, {"_id"=>"51a59bf708f0172ac90000a8", "state"=>:init, "retry_count"=>0, "saved_values"=>[], "op_type"=>:new_component, "args"=>{"group_instance_id"=>"51a597c208f017e1cc000011", "comp_spec"=>{"comp"=>"jenkins-client-1.4", "cart"=>"jenkins-client-1.4"}, "cartridge_vendor"=>"redhat", "version"=>"1.4"}, "prereq"=>[nil]}, {"_id"=>"51a59bf708f0172ac90000a9", "state"=>:init, "retry_count"=>0, "saved_values"=>[], "op_type"=>:add_component, "args"=>{"group_instance_id"=>"51a597c208f017e1cc000011", "gear_id"=>"51a597c208f017e1cc000002", "comp_spec"=>{"comp"=>"jenkins-client-1.4", "cart"=>"jenkins-client-1.4"}, "init_git_url"=>nil}, "prereq"=>["51a59bf708f0172ac90000a8", []]}, {"_id"=>"51a59bf708f0172ac90000aa", "state"=>:init, "retry_count"=>0, "saved_values"=>[], "op_type"=>:post_configure_component, "args"=>{"group_instance_id"=>"51a597c208f017e1cc000011", "gear_id"=>"51a597c208f017e1cc000002", "comp_spec"=>{"comp"=>"jenkins-client-1.4", "cart"=>"jenkins-client-1.4"}, "init_git_url"=>nil}, "prereq"=>["51a59bf708f0172ac90000a9", []]}, {"_id"=>"51a59bf708f0172ac90000ac", "state"=>:init, "retry_count"=>0, "saved_values"=>[], "op_type"=>:execute_connections, "prereq"=>["51a59bf708f0172ac90000ab", "51a59bf708f0172ac90000a8", "51a59bf708f0172ac90000a9", "51a59bf708f0172ac90000aa"]}]}} flags=[] (pid:28775)
2013-05-29 02:11:04.201 [DEBUG] COMMAND      database=openshift_broker_dev command={:getlasterror=>1, :safe=>true} (0.8922ms) (pid:28775)
2013-05-29 02:11:04.266 [DEBUG] Execute set_group_overrides (pid:28775)
2013-05-29 02:11:04.398 [DEBUG] MOPED: 127.0.0.1:27017 UPDATE       database=openshift_broker_dev collection=applications selector={"_id"=>"51a597c208f017e1cc000002"} update={"$set"=>{"group_overrides"=>[{"components"=>[{"comp"=>"python-2.6", "cart"=>"python-2.6"}, {"comp"=>"jenkins-client-1.4", "cart"=>"jenkins-client-1.4"}], "min_gears"=>1, "max_gears"=>1}], "updated_at"=>2013-05-29 06:11:04 UTC}} flags=[] (pid:28775)
2013-05-29 02:11:04.399 [DEBUG] COMMAND      database=openshift_broker_dev command={:getlasterror=>1, :safe=>true} (4.6809ms) (pid:28775)
2013-05-29 02:11:04.412 [DEBUG] MOPED: 127.0.0.1:27017 UPDATE       database=openshift_broker_dev collection=applications selector={"_id"=>"51a597c208f017e1cc000002"} update={"$set"=>{"pending_op_groups.0.pending_ops.0.state"=>:completed}} flags=[] (pid:28775)
2013-05-29 02:11:04.414 [DEBUG] COMMAND      database=openshift_broker_dev command={:getlasterror=>1, :safe=>true} (0.5548ms) (pid:28775)
2013-05-29 02:11:04.422 [DEBUG] Execute new_component (pid:28775)
2013-05-29 02:11:04.465 [DEBUG] MOPED: 127.0.0.1:27017 UPDATE       database=openshift_broker_dev collection=applications selector={"_id"=>"51a597c208f017e1cc000002"} update={"$push"=>{"component_instances"=>{"_id"=>"51a59bf808f0172ac90000ad", "cartridge_vendor"=>"redhat", "version"=>"1.4", "component_properties"=>{}, "cartridge_name"=>"jenkins-client-1.4", "component_name"=>"jenkins-client-1.4", "group_instance_id"=>"51a597c208f017e1cc000011"}}} flags=[] (pid:28775)
2013-05-29 02:11:04.467 [DEBUG] COMMAND      database=openshift_broker_dev command={:getlasterror=>1, :safe=>true} (3.6175ms) (pid:28775)
2013-05-29 02:11:04.479 [DEBUG] MOPED: 127.0.0.1:27017 UPDATE       database=openshift_broker_dev collection=applications selector={"_id"=>"51a597c208f017e1cc000002"} update={"$set"=>{"pending_op_groups.0.pending_ops.1.state"=>:completed}} flags=[] (pid:28775)
2013-05-29 02:11:04.480 [DEBUG] COMMAND      database=openshift_broker_dev command={:getlasterror=>1, :safe=>true} (0.7210ms) (pid:28775)
2013-05-29 02:11:04.495 [DEBUG] MOPED: 127.0.0.1:27017 QUERY        database=openshift_broker_dev collection=applications selector={"$query"=>{"_id"=>"51a597c208f017e1cc000002"}, "$orderby"=>{:_id=>1}} flags=[] limit=-1 skip=0 batch_size=nil fields=nil (0.6855ms) (pid:28775)
2013-05-29 02:11:04.596 [DEBUG] MOPED: 127.0.0.1:27017 UPDATE       database=openshift_broker_dev collection=applications selector={"_id"=>"51a597c208f017e1cc000002"} update={"$set"=>{"pending_op_groups.0.pending_ops"=>[{"_id"=>"51a59bf708f0172ac90000ab", "args"=>{"group_overrides"=>[{"components"=>[{"comp"=>"python-2.6", "cart"=>"python-2.6"}, {"comp"=>"jenkins-client-1.4", "cart"=>"jenkins-client-1.4"}], "min_gears"=>1, "max_gears"=>1}]}, "op_type"=>:set_group_overrides, "retry_count"=>0, "saved_values"=>{"group_overrides"=>[{"components"=>[{"comp"=>"python-2.6", "cart"=>"python-2.6"}], "min_gears"=>1, "max_gears"=>1}]}, "state"=>:completed}, {"_id"=>"51a59bf708f0172ac90000a8", "args"=>{"group_instance_id"=>"51a597c208f017e1cc000011", "comp_spec"=>{"comp"=>"jenkins-client-1.4", "cart"=>"jenkins-client-1.4"}, "cartridge_vendor"=>"redhat", "version"=>"1.4"}, "op_type"=>:new_component, "prereq"=>[nil], "retry_count"=>0, "saved_values"=>[], "state"=>:completed}, {"_id"=>"51a59bf708f0172ac90000a9", "state"=>:init, "retry_count"=>0, "saved_values"=>[], "op_type"=>:add_component, "args"=>{"group_instance_id"=>"51a597c208f017e1cc000011", "gear_id"=>"51a597c208f017e1cc000002", "comp_spec"=>{"comp"=>"jenkins-client-1.4", "cart"=>"jenkins-client-1.4"}, "init_git_url"=>nil}, "prereq"=>["51a59bf708f0172ac90000a8", []]}, {"_id"=>"51a59bf708f0172ac90000aa", "state"=>:init, "retry_count"=>0, "saved_values"=>[], "op_type"=>:post_configure_component, "args"=>{"group_instance_id"=>"51a597c208f017e1cc000011", "gear_id"=>"51a597c208f017e1cc000002", "comp_spec"=>{"comp"=>"jenkins-client-1.4", "cart"=>"jenkins-client-1.4"}, "init_git_url"=>nil}, "prereq"=>["51a59bf708f0172ac90000a9", []]}, {"_id"=>"51a59bf708f0172ac90000ac", "state"=>:init, "retry_count"=>0, "saved_values"=>[], "op_type"=>:execute_connections, "prereq"=>["51a59bf708f0172ac90000ab", "51a59bf708f0172ac90000a8", "51a59bf708f0172ac90000a9", "51a59bf708f0172ac90000aa"]}]}} flags=[] (pid:28775)
2013-05-29 02:11:04.598 [DEBUG] COMMAND      database=openshift_broker_dev command={:getlasterror=>1, :safe=>true} (3.7627ms) (pid:28775)
2013-05-29 02:11:04.628 [DEBUG] Execute add_component (pid:28775)
2013-05-29 02:11:04.700 [DEBUG] DEBUG: rpc_client.custom_request('cartridge_do', {:cartridge=>"jenkins-client-1.4", :action=>"configure", :args=>{"--with-app-uuid"=>"903212317044201001844736", "--with-app-name"=>"djpy6", "--with-container-uuid"=>"903212317044201001844736", "--with-container-name"=>"djpy6", "--with-namespace"=>"wjiang527", "--with-request-id"=>"df83014e44bb034f29ace5d7db79234b", "--cart-name"=>"jenkins-client-1.4", "--component-name"=>"jenkins-client-1.4", "--with-software-version"=>"1.4", "--cartridge-vendor"=>"redhat"}}, ip-10-202-21-184, {'identity' => ip-10-202-21-184}) (Request ID: df83014e44bb034f29ace5d7db79234b) (pid:28775)
2013-05-29 02:11:06.124 [DEBUG] DEBUG: [#<MCollective::RPC::Result:0x000000057786c0 @agent="openshift", @action="cartridge_do", @results={:sender=>"ip-10-202-21-184", :statuscode=>1, :statusmsg=>"cartridge_do_action failed -1. Output exception class/object expected", :data=>{:time=>nil, :output=>"exception class/object expected", :exitcode=>-1}}>] (Request ID: df83014e44bb034f29ace5d7db79234b) (pid:28775)
2013-05-29 02:11:06.125 [DEBUG] DEBUG: MCollective Response Time (execute_direct: configure): 2.056506886s  (Request ID: df83014e44bb034f29ace5d7db79234b) (pid:28775)
2013-05-29 02:11:06.125 [DEBUG] DEBUG: server results: exception class/object expected (pid:28775)
2013-05-29 02:11:06.126 [DEBUG] DEBUG: Failed to embed 'jenkins-client-1.4' in 'djpy6' for user 'wjiang+527@redhat.com' (pid:28775)
2013-05-29 02:11:06.127 [DEBUG] DEBUG: rpc_client.custom_request('cartridge_do', {:cartridge=>"jenkins-client-1.4", :action=>"deconfigure", :args=>{"--with-app-uuid"=>"903212317044201001844736", "--with-app-name"=>"djpy6", "--with-container-uuid"=>"903212317044201001844736", "--with-container-name"=>"djpy6", "--with-namespace"=>"wjiang527", "--with-request-id"=>"df83014e44bb034f29ace5d7db79234b", "--cart-name"=>"jenkins-client-1.4", "--component-name"=>"jenkins-client-1.4", "--with-software-version"=>"1.4", "--cartridge-vendor"=>"redhat"}}, ip-10-202-21-184, {'identity' => ip-10-202-21-184}) (Request ID: df83014e44bb034f29ace5d7db79234b) (pid:28775)
2013-05-29 02:11:07.973 [DEBUG] DEBUG: [#<MCollective::RPC::Result:0x0000000501b120 @agent="openshift", @action="cartridge_do", @results={:sender=>"ip-10-202-21-184", :statuscode=>0, :statusmsg=>"OK", :data=>{:time=>nil, :output=>"CLIENT_RESULT: Jenkins client 1.4 has been removed from: djpy6\n", :exitcode=>0}}>] (Request ID: df83014e44bb034f29ace5d7db79234b) (pid:28775)
2013-05-29 02:11:07.975 [DEBUG] DEBUG: MCollective Response Time (execute_direct: deconfigure): 1.849351344s  (Request ID: df83014e44bb034f29ace5d7db79234b) (pid:28775)
2013-05-29 02:11:07.975 [ERROR] Node execution failure (invalid exit code from node).  If the problem persists please contact Red Hat support. (pid:28775)
2013-05-29 02:11:07.976 [ERROR] ["/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-msg-broker-mcollective-1.9.6/lib/openshift/mcollective_application_container_proxy.rb:2584:in `parse_result'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-msg-broker-mcollective-1.9.6/lib/openshift/mcollective_application_container_proxy.rb:2732:in `run_cartridge_command'", "/var/www/openshift/broker/lib/online/broker/mcollective_ext.rb:13:in `run_cartridge_command'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-msg-broker-mcollective-1.9.6/lib/openshift/mcollective_application_container_proxy.rb:2285:in `add_component'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-msg-broker-mcollective-1.9.6/lib/openshift/mcollective_application_container_proxy.rb:715:in `configure_cartridge'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/models/gear.rb:123:in `add_component'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/models/pending_app_op_group.rb:193:in `block in execute'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/models/pending_app_op_group.rb:154:in `each'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/models/pending_app_op_group.rb:154:in `execute'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/models/application.rb:1227:in `run_jobs'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/models/application.rb:473:in `block in add_features'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/models/application.rb:1269:in `run_in_application_lock'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/models/application.rb:471:in `add_features'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/controllers/emb_cart_controller.rb:123:in `create'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_render.rb:4:in `send_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:167:in `process_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering.rb:10:in `process_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:18:in `block in process_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:492:in `block in _run__3120270144870086126__process_action__1783328769477010482__callbacks'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in _conditional_callback_around_374'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/lib/openshift/controller/action_log.rb:34:in `set_logged_request'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_conditional_callback_around_374'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:403:in `_run__3120270144870086126__process_action__1783328769477010482__callbacks'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_process_action_callbacks'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:17:in `process_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rescue.rb:29:in `process_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:30:in `block in process_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `block in instrument'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/instrumenter.rb:20:in `instrument'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `instrument'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:29:in `process_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/params_wrapper.rb:207:in `process_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:121:in `process'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:45:in `process'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:203:in `dispatch'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:246:in `block in action'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in `dispatch'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:36:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'", "/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'", "/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:600:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/mongo_mapper-0.11.1/lib/mongo_mapper/middleware/identity_map.rb:10:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/mongoid-3.0.21/lib/rack/mongoid/middleware/identity_map.rb:34:in `block in call'", "/opt/rh/ruby193/root/usr/share/gems/gems/mongoid-3.0.21/lib/mongoid/unit_of_work.rb:39:in `unit_of_work'", "/opt/rh/ruby193/root/usr/share/gems/gems/mongoid-3.0.21/lib/rack/mongoid/middleware/identity_map.rb:34:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/etag.rb:23:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/conditionalget.rb:35:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/head.rb:14:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/params_parser.rb:21:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/flash.rb:242:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:205:in `context'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:200:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/cookies.rb:339:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:28:in `block in call'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `_run__2511886196857338946__call__3731085227332504142__callbacks'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_call_callbacks'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:27:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/remote_ip.rb:31:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:26:in `call_app'", "/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:16:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/request_id.rb:22:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/methodoverride.rb:21:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/runtime.rb:17:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/cache/strategy/local_cache.rb:72:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/lock.rb:15:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forward'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:143:in `pass'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:155:in `invalidate'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:71:in `call!'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:479:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/application.rb:223:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in `method_missing'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/abstract_request_handler.rb:517:in `accept_and_process_next_request'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/rack/application_spawner.rb:206:in `start_request_handler'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/rack/application_spawner.rb:79:in `block in spawn_application'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/utils.rb:470:in `safe_fork'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/rack/application_spawner.rb:64:in `spawn_application'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/spawn_manager.rb:264:in `spawn_rack_application'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/spawn_manager.rb:137:in `spawn_application'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/helper-scripts/passenger-spawn-server:102:in `<main>'"] (pid:28775)
2013-05-29 02:11:07.976 [ERROR] Node execution failure (invalid exit code from node).  If the problem persists please contact Red Hat support. (pid:28775)
2013-05-29 02:11:07.977 [DEBUG] ["/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-msg-broker-mcollective-1.9.6/lib/openshift/mcollective_application_container_proxy.rb:2584:in `parse_result'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-msg-broker-mcollective-1.9.6/lib/openshift/mcollective_application_container_proxy.rb:2732:in `run_cartridge_command'", "/var/www/openshift/broker/lib/online/broker/mcollective_ext.rb:13:in `run_cartridge_command'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-msg-broker-mcollective-1.9.6/lib/openshift/mcollective_application_container_proxy.rb:2285:in `add_component'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-msg-broker-mcollective-1.9.6/lib/openshift/mcollective_application_container_proxy.rb:715:in `configure_cartridge'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/models/gear.rb:123:in `add_component'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/models/pending_app_op_group.rb:193:in `block in execute'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/models/pending_app_op_group.rb:154:in `each'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/models/pending_app_op_group.rb:154:in `execute'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/models/application.rb:1227:in `run_jobs'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/models/application.rb:473:in `block in add_features'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/models/application.rb:1269:in `run_in_application_lock'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/models/application.rb:471:in `add_features'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/controllers/emb_cart_controller.rb:123:in `create'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_render.rb:4:in `send_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:167:in `process_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering.rb:10:in `process_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:18:in `block in process_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:492:in `block in _run__3120270144870086126__process_action__1783328769477010482__callbacks'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in _conditional_callback_around_374'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/lib/openshift/controller/action_log.rb:34:in `set_logged_request'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_conditional_callback_around_374'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:403:in `_run__3120270144870086126__process_action__1783328769477010482__callbacks'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_process_action_callbacks'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:17:in `process_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rescue.rb:29:in `process_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:30:in `block in process_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `block in instrument'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/instrumenter.rb:20:in `instrument'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `instrument'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:29:in `process_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/params_wrapper.rb:207:in `process_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:121:in `process'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:45:in `process'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:203:in `dispatch'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:246:in `block in action'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in `dispatch'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:36:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'", "/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'", "/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:600:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/mongo_mapper-0.11.1/lib/mongo_mapper/middleware/identity_map.rb:10:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/mongoid-3.0.21/lib/rack/mongoid/middleware/identity_map.rb:34:in `block in call'", "/opt/rh/ruby193/root/usr/share/gems/gems/mongoid-3.0.21/lib/mongoid/unit_of_work.rb:39:in `unit_of_work'", "/opt/rh/ruby193/root/usr/share/gems/gems/mongoid-3.0.21/lib/rack/mongoid/middleware/identity_map.rb:34:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/etag.rb:23:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/conditionalget.rb:35:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/head.rb:14:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/params_parser.rb:21:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/flash.rb:242:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:205:in `context'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:200:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/cookies.rb:339:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:28:in `block in call'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `_run__2511886196857338946__call__3731085227332504142__callbacks'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_call_callbacks'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:27:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/remote_ip.rb:31:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:26:in `call_app'", "/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:16:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/request_id.rb:22:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/methodoverride.rb:21:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/runtime.rb:17:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/cache/strategy/local_cache.rb:72:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/lock.rb:15:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forward'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:143:in `pass'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:155:in `invalidate'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:71:in `call!'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:479:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/application.rb:223:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in `method_missing'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/abstract_request_handler.rb:517:in `accept_and_process_next_request'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/rack/application_spawner.rb:206:in `start_request_handler'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/rack/application_spawner.rb:79:in `block in spawn_application'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/utils.rb:470:in `safe_fork'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/rack/application_spawner.rb:64:in `spawn_application'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/spawn_manager.rb:264:in `spawn_rack_application'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/spawn_manager.rb:137:in `spawn_application'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/helper-scripts/passenger-spawn-server:102:in `<main>'"] (pid:28775)
2013-05-29 02:11:07.976 [ERROR] Node execution failure (invalid exit code from node).  If the problem persists please contact Red Hat support. (pid:28775)
2013-05-29 02:11:07.977 [DEBUG] ["/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-msg-broker-mcollective-1.9.6/lib/openshift/mcollective_application_container_proxy.rb:2584:in `parse_result'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-msg-broker-mcollective-1.9.6/lib/openshift/mcollective_application_container_proxy.rb:2732:in `run_cartridge_command'", "/var/www/openshift/broker/lib/online/broker/mcollective_ext.rb:13:in `run_cartridge_command'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-msg-broker-mcollective-1.9.6/lib/openshift/mcollective_application_container_proxy.rb:2285:in `add_component'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-msg-broker-mcollective-1.9.6/lib/openshift/mcollective_application_container_proxy.rb:715:in `configure_cartridge'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/models/gear.rb:123:in `add_component'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/models/pending_app_op_group.rb:193:in `block in execute'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/models/pending_app_op_group.rb:154:in `each'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/models/pending_app_op_group.rb:154:in `execute'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/models/application.rb:1227:in `run_jobs'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/models/application.rb:473:in `block in add_features'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/models/application.rb:1269:in `run_in_application_lock'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/models/application.rb:471:in `add_features'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/app/controllers/emb_cart_controller.rb:123:in `create'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/implicit_render.rb:4:in `send_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:167:in `process_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rendering.rb:10:in `process_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:18:in `block in process_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:492:in `block in _run__3120270144870086126__process_action__1783328769477010482__callbacks'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:215:in `block in _conditional_callback_around_374'", "/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-controller-1.9.8/lib/openshift/controller/action_log.rb:34:in `set_logged_request'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in `_conditional_callback_around_374'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:403:in `_run__3120270144870086126__process_action__1783328769477010482__callbacks'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_process_action_callbacks'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/callbacks.rb:17:in `process_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rescue.rb:29:in `process_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:30:in `block in process_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `block in instrument'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications/instrumenter.rb:20:in `instrument'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/notifications.rb:123:in `instrument'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/instrumentation.rb:29:in `process_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/params_wrapper.rb:207:in `process_action'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/base.rb:121:in `process'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/abstract_controller/rendering.rb:45:in `process'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:203:in `dispatch'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_controller/metal.rb:246:in `block in action'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:73:in `dispatch'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:36:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'", "/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'", "/opt/rh/ruby193/root/usr/share/gems/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/routing/route_set.rb:600:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/mongo_mapper-0.11.1/lib/mongo_mapper/middleware/identity_map.rb:10:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/mongoid-3.0.21/lib/rack/mongoid/middleware/identity_map.rb:34:in `block in call'", "/opt/rh/ruby193/root/usr/share/gems/gems/mongoid-3.0.21/lib/mongoid/unit_of_work.rb:39:in `unit_of_work'", "/opt/rh/ruby193/root/usr/share/gems/gems/mongoid-3.0.21/lib/rack/mongoid/middleware/identity_map.rb:34:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/etag.rb:23:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/conditionalget.rb:35:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/head.rb:14:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/params_parser.rb:21:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/flash.rb:242:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:205:in `context'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/session/abstract/id.rb:200:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/cookies.rb:339:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:28:in `block in call'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `_run__2511886196857338946__call__3731085227332504142__callbacks'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_call_callbacks'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/callbacks.rb:27:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/remote_ip.rb:31:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:26:in `call_app'", "/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/rack/logger.rb:16:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/request_id.rb:22:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/methodoverride.rb:21:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/runtime.rb:17:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/cache/strategy/local_cache.rb:72:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-1.4.1/lib/rack/lock.rb:15:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forward'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:143:in `pass'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:155:in `invalidate'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:71:in `call!'", "/opt/rh/ruby193/root/usr/share/gems/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/engine.rb:479:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/application.rb:223:in `call'", "/opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in `method_missing'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/abstract_request_handler.rb:517:in `accept_and_process_next_request'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/rack/application_spawner.rb:206:in `start_request_handler'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/rack/application_spawner.rb:79:in `block in spawn_application'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/utils.rb:470:in `safe_fork'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/rack/application_spawner.rb:64:in `spawn_application'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/spawn_manager.rb:264:in `spawn_rack_application'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/spawn_manager.rb:137:in `spawn_application'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'", "/opt/rh/ruby193/root/usr/share/gems/gems/passenger-3.0.17/helper-scripts/passenger-spawn-server:102:in `<main>'"] (pid:28775)
2013-05-29 02:11:07.983 [DEBUG] MOPED: 127.0.0.1:27017 QUERY        database=openshift_broker_dev collection=applications selector={"$query"=>{"_id"=>"51a597c208f017e1cc000002"}, "$orderby"=>{:_id=>1}} flags=[] limit=-1 skip=0 batch_size=nil fields=nil (3.6457ms) (pid:28775)
2013-05-29 02:11:07.989 [DEBUG] MOPED: 127.0.0.1:27017 UPDATE       database=openshift_broker_dev collection=applications selector={"_id"=>"51a597c208f017e1cc000002"} update={"$set"=>{"pending_op_groups.0.pending_ops"=>[{"_id"=>"51a59bf708f0172ac90000ab", "args"=>{"group_overrides"=>[{"components"=>[{"comp"=>"python-2.6", "cart"=>"python-2.6"}, {"comp"=>"jenkins-client-1.4", "cart"=>"jenkins-client-1.4"}], "min_gears"=>1, "max_gears"=>1}]}, "op_type"=>:set_group_overrides, "retry_count"=>0, "saved_values"=>{"group_overrides"=>[{"components"=>[{"comp"=>"python-2.6", "cart"=>"python-2.6"}], "min_gears"=>1, "max_gears"=>1}]}, "state"=>:completed}, {"_id"=>"51a59bf708f0172ac90000a8", "args"=>{"group_instance_id"=>"51a597c208f017e1cc000011", "comp_spec"=>{"comp"=>"jenkins-client-1.4", "cart"=>"jenkins-client-1.4"}, "cartridge_vendor"=>"redhat", "version"=>"1.4"}, "op_type"=>:new_component, "prereq"=>[nil], "retry_count"=>0, "saved_values"=>[], "state"=>:completed}, {"_id"=>"51a59bf708f0172ac90000a9", "state"=>:init, "retry_count"=>0, "saved_values"=>[], "op_type"=>:add_component, "args"=>{"group_instance_id"=>"51a597c208f017e1cc000011", "gear_id"=>"51a597c208f017e1cc000002", "comp_spec"=>{"comp"=>"jenkins-client-1.4", "cart"=>"jenkins-client-1.4"}, "init_git_url"=>nil}, "prereq"=>["51a59bf708f0172ac90000a8", []]}, {"_id"=>"51a59bf708f0172ac90000aa", "state"=>:init, "retry_count"=>0, "saved_values"=>[], "op_type"=>:post_configure_component, "args"=>{"group_instance_id"=>"51a597c208f017e1cc000011", "gear_id"=>"51a597c208f017e1cc000002", "comp_spec"=>{"comp"=>"jenkins-client-1.4", "cart"=>"jenkins-client-1.4"}, "init_git_url"=>nil}, "prereq"=>["51a59bf708f0172ac90000a9", []]}, {"_id"=>"51a59bf708f0172ac90000ac", "state"=>:init, "retry_count"=>0, "saved_values"=>[], "op_type"=>:execute_connections, "prereq"=>["51a59bf708f0172ac90000ab", "51a59bf708f0172ac90000a8", "51a59bf708f0172ac90000a9", "51a59bf708f0172ac90000aa"]}]}} flags=[] (pid:28775)
2013-05-29 02:11:07.989 [DEBUG] COMMAND      database=openshift_broker_dev command={:getlasterror=>1, :safe=>true} (0.9372ms) (pid:28775)
2013-05-29 02:11:07.991 [DEBUG] Rollback set_group_overrides (pid:28775)
2013-05-29 02:11:07.995 [DEBUG] MOPED: 127.0.0.1:27017 UPDATE       database=openshift_broker_dev collection=applications selector={"_id"=>"51a597c208f017e1cc000002"} update={"$set"=>{"group_overrides"=>[{"components"=>[{"comp"=>"python-2.6", "cart"=>"python-2.6"}], "min_gears"=>1, "max_gears"=>1}], "updated_at"=>2013-05-29 06:11:07 UTC}} flags=[] (pid:28775)
2013-05-29 02:11:07.995 [DEBUG] COMMAND      database=openshift_broker_dev command={:getlasterror=>1, :safe=>true} (0.5255ms) (pid:28775)
2013-05-29 02:11:07.997 [DEBUG] MOPED: 127.0.0.1:27017 UPDATE       database=openshift_broker_dev collection=applications selector={"_id"=>"51a597c208f017e1cc000002"} update={"$set"=>{"pending_op_groups.0.pending_ops.0.state"=>:rolledback}} flags=[] (pid:28775)
2013-05-29 02:11:07.997 [DEBUG] COMMAND      database=openshift_broker_dev command={:getlasterror=>1, :safe=>true} (0.5875ms) (pid:28775)
2013-05-29 02:11:07.997 [DEBUG] Rollback new_component (pid:28775)
2013-05-29 02:11:07.998 [DEBUG] MOPED: 127.0.0.1:27017 UPDATE       database=openshift_broker_dev collection=applications selector={"_id"=>"51a597c208f017e1cc000002"} update={"$pull"=>{"component_instances"=>{"_id"=>"51a59bf808f0172ac90000ad"}}} flags=[] (pid:28775)
2013-05-29 02:11:07.998 [DEBUG] COMMAND      database=openshift_broker_dev command={:getlasterror=>1, :safe=>true} (0.3798ms) (pid:28775)
2013-05-29 02:11:07.999 [DEBUG] MOPED: 127.0.0.1:27017 UPDATE       database=openshift_broker_dev collection=applications selector={"_id"=>"51a597c208f017e1cc000002"} update={"$set"=>{"pending_op_groups.0.pending_ops.1.state"=>:rolledback}} flags=[] (pid:28775)
2013-05-29 02:11:07.999 [DEBUG] COMMAND      database=openshift_broker_dev command={:getlasterror=>1, :safe=>true} (0.4289ms) (pid:28775)
2013-05-29 02:11:08.133 [DEBUG] MOPED: 127.0.0.1:27017 UPDATE       database=openshift_broker_dev collection=applications selector={"_id"=>"51a597c208f017e1cc000002"} update={"$pull"=>{"pending_op_groups"=>{"_id"=>"51a59bf708f0172ac90000a7"}}} flags=[] (pid:28775)
2013-05-29 02:11:08.142 [DEBUG] COMMAND      database=openshift_broker_dev command={:getlasterror=>1, :safe=>true} (1.3113ms) (pid:28775)
2013-05-29 02:11:08.267 [DEBUG] MOPED: 127.0.0.1:27017 COMMAND      database=openshift_broker_dev command={:findAndModify=>"locks", :query=>{"user_id"=>"51a5920d08f017c1ed000004", "locked"=>false, "app_ids.51a597c208f017e1cc000002"=>{"$exists"=>true}}, :new=>true, :update=>{"$unset"=>{"app_ids.51a597c208f017e1cc000002"=>""}}} (0.5558ms) (pid:28775)
2013-05-29 02:11:08.347 [INFO ] Completed 500 Internal Server Error in 4179ms (pid:28775)
2013-05-29 02:11:08.720 [FATAL] OpenShift::NodeException (Node execution failure (invalid exit code from node).  If the problem persists please contact Red Hat support.):
  lib/online/broker/mcollective_ext.rb:13:in `run_cartridge_command' (pid:28775)
2013-05-29 02:11:08.362 [INFO ] Rendered /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/templates/rescues/_trace.erb (1.6ms) (pid:28775)
2013-05-29 02:11:08.439 [INFO ] Rendered /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/templates/rescues/_request_and_response.erb (1.2ms) (pid:28775)
2013-05-29 02:11:08.441 [INFO ] Rendered /opt/rh/ruby193/root/usr/share/gems/gems/actionpack-3.2.8/lib/action_dispatch/middleware/templates/rescues/diagnostics.erb within rescues/layout (19.0ms) (pid:28775)
Comment 3 Xiaoli Tian 2013-05-29 02:27:47 EDT
(In reply to Dan McPherson from comment #1)
> I just tried to recreate this and wasn't able to.  Can you confirm this is
> still an issue.  If you can recreate please provide the logs again.

Hi, Dan

Not sure if the bug steps is not  clear,  to make it more clear:  it's trying to add jenkins-client to an app from web console,  but not from rhc.

It works if trying to add jenkins client via rhc with --enable-jenkins.
Comment 4 Dan McPherson 2013-05-29 09:56:26 EDT
Hi Xiaoli,

   I used the console as well and it worked.  So either it's random or there was a fix in code later than devenv_3281.


-Dan
Comment 5 Xiaoli Tian 2013-05-29 11:15:28 EDT
Tried it on devenv_3284,  

It will return the following message for me if trying to add jenkins client from web console without jenkins server created 

"Jenkins server does not exist! Please create with rhc app create -t jenkins-1.4"

Will ask other team members to test again tomorrow.

Thanks
Comment 6 Xiaoli Tian 2013-05-29 11:17:28 EDT
Created attachment 754436 [details]
screen shot of the error message in the console

Screenshot of the error message in the console is attached
Comment 7 Jordan Liggitt 2013-05-29 11:30:50 EDT
That is working as designed. The jenkins client can only be added to an app created with the jenkins server cartridge:
"Requires the Jenkins Application to be created via the new application page."


The client outputs this error:
client_error "Jenkins server does not exist!  Please create with rhc app create -t jenkins-1.4"

We can potentially improve this error message. Lowering severity.
Comment 8 Jordan Liggitt 2013-05-29 11:33:58 EDT
We might also be able to prevent the cartridge from appearing in the web ui by adding a requirement on the jenkins cartridge
Comment 9 Jordan Liggitt 2013-05-29 13:21:11 EDT
Improved message marked as [merge] in https://github.com/openshift/origin-server/pull/2673
Comment 10 openshift-github-bot 2013-05-29 16:18:19 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/7a2f96ff29b44d9afc5afb42ce5eda3264699930
Fix bug 967439 - improve jenkins client message
Comment 11 weiwei jiang 2013-05-29 23:29:12 EDT
Tried on devenv_3288, and display "A Jenkins server does not exist in this domain! You must create a Jenkins server before installing this cartridge. ",so verified this issue.

Note You need to log in before you can comment on or make changes to this bug.